// ControlApp2View.h : interface of the CControlApp2View class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_CONTROLAPP2VIEW_H__C239C18D_4A27_11D1_AB9F_44C1FAC00000__INCLUDED_)
#define AFX_CONTROLAPP2VIEW_H__C239C18D_4A27_11D1_AB9F_44C1FAC00000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CControlApp2View : public CView
{
protected: // create from serialization only
	CControlApp2View();
	DECLARE_DYNCREATE(CControlApp2View)

// Attributes
public:
	CControlApp2Doc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CControlApp2View)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CControlApp2View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	CStatic m_editStatic;
	CStatic m_buttonStatic;
	CStatic m_checkStatic;
	CStatic m_listStatic;
	CStatic m_comboStatic;
	CStatic m_comboStatic2;

	CEdit m_edit;
	CEdit m_edit2;

	CButton m_button;
	CButton m_checkButton;

	CButton m_radioGroup;
	CButton m_radioButton1;
	CButton m_radioButton2;
	CButton m_radioButton3;

	CListBox m_listBox;
	CComboBox m_comboBox;
	CComboBox m_comboBox2;

	CBrush m_whiteBrush;

// Generated message map functions
protected:
	void CreateComboBoxes();
	void CreateListBox();
	void CreateRadioButtons();
	void CreateCheckbox();
	void CreatePushbutton();
	void CreateEditBoxes();
	void CreateStaticText();
	afx_msg void OnComboSelEndOk();
	afx_msg void OnComboItemDblClk();
	afx_msg void OnEditChange();
	afx_msg void OnListItemDblClk();
	afx_msg void OnCheckboxClicked();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtrlColor);
	afx_msg void OnPushbuttonClicked();
    afx_msg void OnRadio1Clicked();
    afx_msg void OnRadio2Clicked();
    afx_msg void OnRadio3Clicked();
	//{{AFX_MSG(CControlApp2View)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in ControlApp2View.cpp
inline CControlApp2Doc* CControlApp2View::GetDocument()
   { return (CControlApp2Doc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONTROLAPP2VIEW_H__C239C18D_4A27_11D1_AB9F_44C1FAC00000__INCLUDED_)
